# socket_import_stream

(PHP 5 >= 5.4.0, PHP 7)

socket_import_stream — Import a stream

### Description

socket_import_stream ( resource `$stream` ) : resource

Imports a stream that encapsulates a socket into a socket extension resource.

### Parameters

`stream`

  The stream resource to import.

### Return Values

Returns `FALSE` or `NULL` on failure.

### Examples

Example #1 socket_import_stream() example

`<?php
$stream = stream_socket_server("udp://0.0.0.0:58380", $errno, $errstr, STREAM_SERVER_BIND);
$sock = socket_import_stream($stream);
?>`

### See Also

- stream_socket_server() - Create an Internet or Unix domain server socket